org.apache.fop.afp

## Interface AFPConstants

-     public interface AFPConstants

  Constants used by the AFP renderer.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ASCII_ENCODING` The encoding to use to convert to ASCII
    `static int` | `DPI_72` The scaling of the default transform is set to approximately 72 user space coordinates per square inch
    `static int` | `DPI_72_MPTS` 72dpi in millipoints
    `static java.lang.String` | `EBCIDIC_ENCODING` The encoding to use to convert to EBCIDIC
    `static float` | `LINE_WIDTH_CORRECTION` The line width is set as a multiplier of a default line with; the width of the default line width is implementation defined, which probably means different devices use different actual widths; this means that the source line width (as specified in, say, a SVG line element) needs to be corrected by a fudge factor that depends on the output device so that the final output (print to paper, screen viewer) looks as intended.
    `static java.lang.String` | `US_ASCII_ENCODING` The encoding to use to convert to US ASCII (7 bit)

- - ### Field Detail

    - #### EBCIDIC_ENCODING

          static final java.lang.String EBCIDIC_ENCODING

      The encoding to use to convert to EBCIDIC
      See Also:
        Constant Field Values

    - #### ASCII_ENCODING

          static final java.lang.String ASCII_ENCODING

      The encoding to use to convert to ASCII
      See Also:
        Constant Field Values

    - #### US_ASCII_ENCODING

          static final java.lang.String US_ASCII_ENCODING

      The encoding to use to convert to US ASCII (7 bit)
      See Also:
        Constant Field Values

    - #### DPI_72

          static final int DPI_72

      The scaling of the default transform is set to approximately 72 user space coordinates per square inch
      See Also:
        Constant Field Values

    - #### DPI_72_MPTS

          static final int DPI_72_MPTS

      72dpi in millipoints
      See Also:
        Constant Field Values

    - #### LINE_WIDTH_CORRECTION

          static final float LINE_WIDTH_CORRECTION

      The line width is set as a multiplier of a default line with; the width of the default line width is implementation defined, which probably means different devices use different actual widths; this means that the source line width (as specified in, say, a SVG line element) needs to be corrected by a fudge factor that depends on the output device so that the final output (print to paper, screen viewer) looks as intended.
      See Also:
        Constant Field Values

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.